##
##  pdfautonup.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_python        3.11
%define       V_pdfautonup    1.9.0

#   package information
Name:         pdfautonup
Summary:      PDF N-Up Page Montage
URL:          https://pypi.org/project/PdfAutoNup/
Vendor:       Louis Paternault
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      GPL
Version:      %{V_pdfautonup}
Release:      20240222

#   list of sources
Source0:      https://files.pythonhosted.org/packages/source/p/pdfautonup/pdfautonup-%{V_pdfautonup}.tar.gz
Patch0:       pdfautonup.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python-setup
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  python, python-pdf
PreReq:       python, python-pdf

%description
    Fit as much pages as possible, from some PDF files to a "n-up"
    PDF file of a given page size, guessing the layout.

%track
    prog pdfautonup:pdfautonup = {
        version   = %{V_pdfautonup}
        url       = https://pypi.org/project/PdfAutoNup/#files
        regex     = pdfautonup-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build

%install
    %{l_shtool} subst %{l_value -s -a} \
        pdfautonup/__main__.py
    %{l_prefix}/bin/python setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

